rem           Programa instalador de Simon The Sorcerer  
echo off
cls
echo off
cls

if "%1"=="" goto DriveNeeded
if %1==c: goto MakeDir
if %1==C: goto MakeDir
if %1==d: goto MakeDir
if %1==D: goto MakeDir
if %1==e: goto MakeDir
if %1==E: goto MakeDir
if %1==f: goto MakeDir
if %1==F: goto MakeDir
if %1==g: goto MakeDir
if %1==G: goto MakeDir
if %1==h: goto MakeDir
if %1==H: goto MakeDir
if %1==i: goto MakeDir
if %1==I: goto MakeDir
if %1==j: goto MakeDir
if %1==J: goto MakeDir
if %1==k: goto MakeDir
if %1==K: goto MakeDir
if %1==l: goto MakeDir
if %1==L: goto MakeDir
if %1==m: goto MakeDir
if %1==M: goto MakeDir
if %1==n: goto MakeDir
if %1==N: goto MakeDir
if %1==o: goto MakeDir
if %1==O: goto MakeDir
if %1==p: goto MakeDir
if %1==P: goto MakeDir

:InvalidDrive
echo "%1" es un nombre inv lido de unidad. Por favor especifica la letra de la
echo unidad de destino seguida de dos puntos (:)
goto Example

:DriveNeeded
echo Por favor especifica en que unidad quieres instalar SIMON THE SORCERER. 
echo  Por ejemplo:
:Example
echo 
echo                                 install c:
goto End

:MakeDir
echo    ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo    ³                                                                    ³
echo    ³                         SIMON THE SORCERER                         ³
echo    ³                                                                    ³
echo    ³    Este programa instalar  Simon the Sorcered en tu ordenador.     ³
echo    ³      necesitar  al menos 7,5 MEGAS LIBRES en tu disco duro.        ³
echo    ³                                                                    ³
echo    ³          Instalando en la unidad %1. Directorio "SIMON".           ³
echo    ³                                                                    ³
echo    ³   Pulsa Ctrl-C en cualquier momento para abortar la instalaci¢n.   ³
echo    ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo 
pause
echo 

if exist %1\SIMON\*.* goto DirExists
mkdir %1\SIMON
goto CopyFiles

:DirExists
echo ATENCION!:    El directorio %1\SIMON ya existe. Pulsa ahora Ctrl-C si no
echo                quieres escribir sobre el contenido de dicho directorio.
echo 
pause
cls
:CopyFiles
echo copiando "Disco 1"......
copy *.* %1\simon > NUL

if not exist %1\simon\simon.d1 goto InstallError
if not exist %1\simon\install2.bat goto InstallError

%1\simon\install2 %1

goto End

:InstallError
CLS
ECHO ERROR:  
ECHO  La instalaci¢n de "SIMON THE SORCERER" en %1\SIMON  NO a tenido ‚xito.
ECHO  Esto puede deberse a que tu disco duro est‚ lleno.
ECHO  "SIMON THE SORCERER" necesita al menos 7,5 MEGAS en tu disco duro.
ECHO  Es posible que necesites m s espacio disponible si tu disco duro ha sido 
ECHO  comprimido con alguna utilidad. A£n asi te recomendamos que borres la
ECHO  instalaci¢n actual del programa y repitas el proceso una vez corregido
echo  el posible fallo.
:End
echo 
